# DNS update script

Source: http://www.btteknik.net/?p=143

### Requirements
* DiG

### DNSSEC key
* need to create a dnssec key, so that we can authenticate clients' updates
```
# ddns-confgen -s myhost.example.com
```
* this key must be:
  * added to DNS server's `named.conf` and associated to required zones
  * stored in a text file in the same directory as the script as `dns.key`

### Install script
You may run `install.sh` (not as root, it includes `sudo`s) to:
* copy Systemd units templates to system directory
* enable timer for next reboot
* NOTE: if you move the script, you need to install again

### Issues

#### Cannot restrict PTR update
* We meet an issue when trying to use `tcp-self` in BIND9 zone config
* https://superuser.com/questions/977132/when-using-nsupdate-to-update-both-a-and-ptr-records-why-do-i-get-update-faile
* http://www.zytrax.com/books/dns/ch7/xfer.html#update-policy
